Skip to main content
`Ctrl`+`K`

# TSARKIMEXGetFastSlowSplit

Gets whether to use `TSARKIMEX` for a fast-slow system

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXGetFastSlowSplit(TS ts, PetscBool *fastslow)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- fastslow - `PETSC_TRUE` if `TSARKIMEX` will be used for solving a fast-slow system, `PETSC_FALSE` otherwise

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEX`, `TSARKIMEXSetFastSlowSplit()`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

## Implementations

TSARKIMEXGetFastSlowSplit_ARKIMEX() in src/ts/impls/arkimex/fsarkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages